observability
Model routing breakdown
How the LLM router chose models over the window: calls per precedence level and per tier. Scoped like /finops/savings: your accessible agents, and only your own calls unless you own the agent you filter on.
GET
/
api
/
observability
/
finops
/
model-routing
Model routing breakdown
curl --request GET \
--url https://free.app.nasiko.com/api/observability/finops/model-routing \
--header 'Authorization: Bearer <token>'import requests
url = "https://free.app.nasiko.com/api/observability/finops/model-routing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://free.app.nasiko.com/api/observability/finops/model-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/observability/finops/model-routing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/observability/finops/model-routing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://free.app.nasiko.com/api/observability/finops/model-routing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/observability/finops/model-routing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"by_level": [
{
"attributed_calls": 123,
"calls": 123,
"cost_usd": 123,
"key": "<string>",
"tokens": 123,
"traces": 123,
"call_share_pct": 123
}
],
"by_tier": [
{
"attributed_calls": 123,
"calls": 123,
"cost_usd": 123,
"key": "<string>",
"tokens": 123,
"traces": 123,
"call_share_pct": 123
}
],
"calls": 123,
"cost_usd": 123,
"model_overridden": 123,
"tokens": 123,
"traces": 123,
"unrecorded_traces": 123,
"window": {
"end": "2023-11-07T05:31:56Z",
"start": "2023-11-07T05:31:56Z"
}
},
"message": "<string>",
"status_code": 1
}Authorizations
⌘I
Model routing breakdown
curl --request GET \
--url https://free.app.nasiko.com/api/observability/finops/model-routing \
--header 'Authorization: Bearer <token>'import requests
url = "https://free.app.nasiko.com/api/observability/finops/model-routing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://free.app.nasiko.com/api/observability/finops/model-routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://free.app.nasiko.com/api/observability/finops/model-routing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://free.app.nasiko.com/api/observability/finops/model-routing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://free.app.nasiko.com/api/observability/finops/model-routing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://free.app.nasiko.com/api/observability/finops/model-routing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"by_level": [
{
"attributed_calls": 123,
"calls": 123,
"cost_usd": 123,
"key": "<string>",
"tokens": 123,
"traces": 123,
"call_share_pct": 123
}
],
"by_tier": [
{
"attributed_calls": 123,
"calls": 123,
"cost_usd": 123,
"key": "<string>",
"tokens": 123,
"traces": 123,
"call_share_pct": 123
}
],
"calls": 123,
"cost_usd": 123,
"model_overridden": 123,
"tokens": 123,
"traces": 123,
"unrecorded_traces": 123,
"window": {
"end": "2023-11-07T05:31:56Z",
"start": "2023-11-07T05:31:56Z"
}
},
"message": "<string>",
"status_code": 1
}